
/*****************************************************************************
**
** File:        namqdebug.c
** Purpose:     Natural Interface for MQSeries
** Description: debug functions
**
** (c) Copyright 2001 by IBM
**
*****************************************************************************/

#include <stdio.h>
#include <stdlib.h>             /* Memory and type conversions */
#include <string.h>             /* strcpy stuff */
#include <ctype.h>              /* is upper stuff */
#include <time.h>               /* time of course */
#include <errno.h>              /* contains errno , last error indicator */
#include <fcntl.h>              /* FILE I/O related protos and defines */
#include <limits.h>		        /* FILE I/O related protos and defines */
#include <io.h>                 /* defines for file access              */
#include <sys/types.h>          /* for data types sycj as time          */
#include <sys/stat.h>           /* finding out status info              */

static FILE *dbgfile = NULL;

/*
 * Remove trailing blanks from character data (not null terminated)
 */
void dbgtrunc(char *dbgdata, char *source, int maxlength, int minlength) {
   int i;
   memcpy(dbgdata, source, maxlength);
   for (i = maxlength-1; (i >= minlength) && (dbgdata[i] == ' '); i--);
   dbgdata[i+1] = '\0';
}

FILE *dbgopen() {
   if( (dbgfile = fopen( "namqdbg.txt", "a" )) == NULL ) {
	  printf( "The file 'namqdbg.txt' was not opened\n" );
   }
   return dbgfile;
}

void dbgclose() {
   if (dbgfile != NULL) {
	  fclose( dbgfile);
	  dbgfile = NULL;
   }
}